Get a commission rule
curl --request GET \
--url https://api.journeybee.io/v1/commissions/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.journeybee.io/v1/commissions/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.journeybee.io/v1/commissions/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "<string>",
"label": "<string>",
"calculation": {
"entries": [
{
"payment_stage_id": 123,
"calculation": {
"value": "<string>",
"scalingConfig": {
"customFieldId": 123,
"tiers": [
{
"optionId": 123,
"value": 123
}
]
},
"number_of_occurrences": 123,
"periodRates": {
"enabled": true,
"periods": [
{
"periodNumber": 123,
"startOccurrence": 123,
"endOccurrence": 123,
"value": 123,
"scalingConfig": {
"customFieldId": 123,
"tiers": [
{
"optionId": 123,
"value": 123
}
]
}
}
]
},
"split": {
"oneOff": {
"value": "<string>",
"scalingConfig": {
"customFieldId": 123,
"tiers": [
{
"optionId": 123,
"value": 123
}
]
},
"number_of_occurrences": 123,
"periodRates": {
"enabled": true,
"periods": [
{
"periodNumber": 123,
"startOccurrence": 123,
"endOccurrence": 123,
"value": 123,
"scalingConfig": {
"customFieldId": 123,
"tiers": [
{
"optionId": 123,
"value": 123
}
]
}
}
]
}
},
"recurring": {
"value": "<string>",
"scalingConfig": {
"customFieldId": 123,
"tiers": [
{
"optionId": 123,
"value": 123
}
]
},
"number_of_occurrences": 123,
"periodRates": {
"enabled": true,
"periods": [
{
"periodNumber": 123,
"startOccurrence": 123,
"endOccurrence": 123,
"value": 123,
"scalingConfig": {
"customFieldId": 123,
"tiers": [
{
"optionId": 123,
"value": 123
}
]
}
}
]
}
}
}
}
}
]
},
"tiers": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"categories": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"partnerships": [
{
"uuid": "<string>",
"name": "<string>"
}
],
"created_at": "<string>",
"updated_at": "<string>"
}Commissions
Get a commission rule
GET
/
commissions
/
{uuid}
Get a commission rule
Authorizations
API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
200 - application/json
Default Response
Available options:
referral, reseller, distributor Available options:
partnership, individual Available options:
lead_creator, deal_owner, manual Commission calculation with one or more payment entries triggered by deal stage changes.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I